git@vger.kernel.org mailing list mirror (one of many)
 help / color / mirror / code / Atom feed
* [PATCH] Clean up .dotest if an error occurs before rebase work starts
@ 2007-09-05 19:27 Robin Rosenberg
  2007-09-05 20:07 ` Junio C Hamano
  0 siblings, 1 reply; 2+ messages in thread
From: Robin Rosenberg @ 2007-09-05 19:27 UTC (permalink / raw)
  To: junkio; +Cc: git, Robin Rosenberg

Signed-off-by: Robin Rosenberg <robin.rosenberg@dewire.com>
---
 git-rebase.sh |   18 ++++++++++++++----
 1 files changed, 14 insertions(+), 4 deletions(-)

diff --git a/git-rebase.sh b/git-rebase.sh
index 3bd66b0..81c48d1 100755
--- a/git-rebase.sh
+++ b/git-rebase.sh
@@ -253,23 +253,33 @@ else
 fi
 
 # The tree must be really really clean.
-git update-index --refresh || exit
+git update-index --refresh || {
+	rm -rf .dotest
+	exit 1
+}
+
 diff=$(git diff-index --cached --name-status -r HEAD)
 case "$diff" in
 ?*)	echo "cannot rebase: your index is not up-to-date"
 	echo "$diff"
+	rm -rf .dotest
 	exit 1
 	;;
 esac
 
 # The upstream head must be given.  Make sure it is valid.
 upstream_name="$1"
-upstream=`git rev-parse --verify "${upstream_name}^0"` ||
-    die "invalid upstream $upstream_name"
+upstream=`git rev-parse --verify "${upstream_name}^0"` || {
+	rm -rf .dotest
+	die "invalid upstream $upstream_name"
+}
 
 # Make sure the branch to rebase onto is valid.
 onto_name=${newbase-"$upstream_name"}
-onto=$(git rev-parse --verify "${onto_name}^0") || exit
+onto=$(git rev-parse --verify "${onto_name}^0") || {
+	rm -rf .dotest
+	exit 1
+}
 
 # If a hook exists, give it a chance to interrupt
 if test -x "$GIT_DIR/hooks/pre-rebase"
-- 
1.5.3

^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2007-09-05 20:07 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2007-09-05 19:27 [PATCH] Clean up .dotest if an error occurs before rebase work starts Robin Rosenberg
2007-09-05 20:07 ` Junio C Hamano

Code repositories for project(s) associated with this public inbox

	https://80x24.org/mirrors/git.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).